KDE 4.2 PyKDE API Reference

- KDE's Python API

# global Namespace Reference

`from PyKDE4.kdecore import *`

## Detailed Description

## Class Index

A | ItemInt (KCoreConfigSkeleton) | KPluginInfo
KAboutData | ItemIntList (KCoreConfigSkeleton) | KPluginLoader
KAboutLicense | ItemLongLong (KCoreConfigSkeleton) | KProcess
KAboutPerson | ItemPassword (KCoreConfigSkeleton) | KProtocolInfo
KAutoSaveFile | ItemPath (KCoreConfigSkeleton) | R
KAutostart | ItemPathList (KCoreConfigSkeleton) | KRandomSequence
C | ItemPoint (KCoreConfigSkeleton) | S
KCalendarSystem | ItemProperty (KCoreConfigSkeleton) | KSaveFile
KCharMacroExpander | ItemRect (KCoreConfigSkeleton) | KService
KCharsets | ItemSize (KCoreConfigSkeleton) | KServiceAction
Choice (KCoreConfigSkeleton.ItemEnum) | ItemString (KCoreConfigSkeleton) | KServiceGroup
Choice2 (KCoreConfigSkeleton.ItemEnum) | ItemStringList (KCoreConfigSkeleton) | KServiceType
KCmdLineArgs | ItemUInt (KCoreConfigSkeleton) | KServiceTypeTrader
KCmdLineOptions | ItemULongLong (KCoreConfigSkeleton) | KShared
KComponentData | ItemUrl (KCoreConfigSkeleton) | KSharedConfig
KCompositeJob | ItemUrlList (KCoreConfigSkeleton) | Spec (KDateTime)
KConfig | J | KStandardDirs
KConfigBase | KJob | KSycoca
KConfigGroup | KJobTrackerInterface | KSycocaEntry
KConfigSkeletonItem | KJobUiDelegate | KSycocaFactory
KCoreConfigSkeleton | L | KSycocaFactoryList
D | LeapSeconds (KTimeZone) | T
KDateTime | KLibLoader | KTempDir
KDEDModule | KLibrary | KTemporaryFile
KDEPluginVerificationData | List (KUrl) | KTimeZone
KDesktopFile | KLocale | KTimeZoneBackend
E | KLocalizedString | KTimeZoneData
KEncodingDetector | KLocalSocket | KTimeZones
KEncodingProber | KLocalSocketServer | KTimeZoneSource
ExtraField (KProtocolInfo) | KLockFile | KToolInvocation
F | M | Transition (KTimeZone)
KFilterBase | KMacroExpanderBase | U
KFilterDev | KMessageHandler | KUrl
I | KMimeType | KUser
ItemBool (KCoreConfigSkeleton) | KMimeTypeTrader | KUserGroup
ItemDateTime (KCoreConfigSkeleton) | P | W
ItemDouble (KCoreConfigSkeleton) | Phase (KTimeZone) | KWordMacroExpander
ItemEnum (KCoreConfigSkeleton) | KPluginFactory |

## Enumerations

KSycocaFactoryId | { KST_KServiceFactory, KST_KServiceTypeFactory, KST_KServiceGroupFactory, KST_KImageIO, KST_KProtocolInfoFactory, KST_KMimeTypeFactory, KST_CTimeInfo }
KSycocaType | { KST_KSycocaEntry, KST_KService, KST_KServiceType, KST_KMimeType, KST_KFolderMimeType, KST_KDEDesktopMimeType, KST_KServiceGroup, KST_KImageIOFormat, KST_KProtocolInfo, KST_KServiceSeparator, KST_KCustom }

## Functions

QString | i18n (QString text)
QString | i18n (QString text, ... a0)
QString | i18nc (QString ctxt, QString text)
QString | i18nc (QString ctxt, QString text, ... a0)
QString | i18ncp (QString ctxt, QString sing, QString plur, ... a0)
QString | i18np (QString sing, QString plur, ... a0)
QString | kAsciiToLower (QString str)
QString | kAsciiToUpper (QString str)
int | kasciistricmp (QString str1, QString str2)
KLocalizedString | ki18n (QString msg)
KLocalizedString | ki18nc (QString ctxt, QString msg)
KLocalizedString | ki18ncp (QString ctxt, QString singular, QString plural)
KLocalizedString | ki18np (QString singular, QString plural)
long | pykde_version ()
long | pykde_versionMajor ()
long | pykde_versionMinor ()
long | pykde_versionRelease ()
QString | pykde_versionString ()
long | qHash (KUrl kurl)
long | qHash (QString key)
long | qHash (KPluginInfo a0)
QString | tr2i18n (QString message, QString comment=0)
bool | urlcmp (QString _url1, QString _url2)
bool | urlcmp (QString _url1, QString _url2, KUrl.EqualsOptions options)
long | version ()
long | versionMajor ()
long | versionMinor ()
long | versionRelease ()
QString | versionString ()

## Enumeration Documentation

KSycocaFactoryId

A KSycocaFactoryId is a code (out of the KSycocaFactoryId enum) assigned to each class type derived from KSycocaFactory. To use it, call the macro K_SYCOCAFACTORY( your_factory_id ) at the top of your class definition.

Enumerator:

  KST_KServiceFactory = 1 |
  KST_KServiceTypeFactory = 2 |
  KST_KServiceGroupFactory = 3 |
  KST_KImageIO = 4 |
  KST_KProtocolInfoFactory = 5 |
  KST_KMimeTypeFactory = 6 |
  KST_CTimeInfo = 100 |

KSycocaType

A KSycocaType is a code (out of the KSycocaType enum) assigned to each class type derived from KSycocaEntry . To use it, call the macro K_SYCOCATYPE( your_typecode, parent_class ) at the top of your class definition.

Enumerator:

  KST_KSycocaEntry = 0 |
  KST_KService = 1 |
  KST_KServiceType = 2 |
  KST_KMimeType = 3 |
  KST_KFolderMimeType = 4 |
  KST_KDEDesktopMimeType = 5 |
  KST_KServiceGroup = 7 |
  KST_KImageIOFormat = 8 |
  KST_KProtocolInfo = 9 |
  KST_KServiceSeparator = 10 |
  KST_KCustom = 1000 |

## Function Documentation

QString i18n | ( | QString | text
| ) |  |  |

QString i18n | ( | QString | text,
|  | ... | a0
| ) |  |  |

QString i18nc | ( | QString | ctxt,
|  | QString | text
| ) |  |  |

Returns a localized version of a string and a context.

Parameters:

  | ctxt | context of the string
  | text | string to be localized

Returns:
  localized string

QString i18nc | ( | QString | ctxt,
|  | QString | text,
|  | ... | a0
| ) |  |  |

QString i18ncp | ( | QString | ctxt,
|  | QString | sing,
|  | QString | plur,
|  | ... | a0
| ) |  |  |

QString i18np | ( | QString | sing,
|  | QString | plur,
|  | ... | a0
| ) |  |  |

QString kAsciiToLower | ( | QString | str
| ) |  |  |

Locale-independent function to convert ASCII strings to lower case ASCII strings. This means that it affects only the ASCII characters A-Z.

Parameters:

  | str | pointer to the string which should be converted to lower case

Returns:
  pointer to the converted string (same as str)

QString kAsciiToUpper | ( | QString | str
| ) |  |  |

Locale-independent function to convert ASCII strings to upper case ASCII strings. This means that it affects only the ASCII characters a-z.

Parameters:

  | str | pointer to the string which should be converted to upper case

Returns:
  pointer to the converted string (same as str)

int kasciistricmp | ( | QString | str1,
|  | QString | str2
| ) |  |  |

Locale-independent qstricmp. Use this for comparing ascii keywords in a case-insensitive way. qstricmp fails with e.g. the Turkish locale where 'I'.toLower() != 'i'

KLocalizedString ki18n | ( | QString | msg
| ) |  |  |

KLocalizedString ki18nc | ( | QString | ctxt,
|  | QString | msg
| ) |  |  |

Creates localized string from a given message, with added context. Context is only for disambiguation purposes (both for lookup and for translators), it is not part of the message. Normaly you should use i18nc() templates instead, as you need real KLocalizedString object only in special cases. All text arguments must be UTF-8 encoded and must not be empty or NULL.

Parameters:

  | ctxt | context text
  | msg | message text

Returns:
  created KLocalizedString

KLocalizedString ki18ncp | ( | QString | ctxt,
|  | QString | singular,
|  | QString | plural
| ) |  |  |

Creates localized string from a given plural and singular form, with added context. Context is only for disambiguation purposes (both for lookup and for translators), it is not part of the message. Normaly you should use i18ncp() templates instead, as you need real KLocalizedString object only in special cases. All text arguments must be UTF-8 encoded and must not be empty or NULL.

Parameters:

  | ctxt | context text
  | singular | message text in singular
  | plural | message text in plural

Returns:
  created KLocalizedString

KLocalizedString ki18np | ( | QString | singular,
|  | QString | plural
| ) |  |  |

Creates localized string from a given plural and singular form. Normaly you should use i18np() templates instead, as you need real KLocalizedString object only in special cases. All text arguments must be UTF-8 encoded and must not be empty or NULL.

Parameters:

  | singular | message text in singular
  | plural | message text in plural

Returns:
  created KLocalizedString

long pykde_version | ( |  | self ) |

long pykde_versionMajor | ( |  | self ) |

long pykde_versionMinor | ( |  | self ) |

long pykde_versionRelease | ( |  | self ) |

QString pykde_versionString | ( |  | self ) |

long qHash | ( | KUrl | kurl
| ) |  |  |

long qHash | ( | QString | key
| ) |  |  |

long qHash | ( | KPluginInfo | a0
| ) |  |  |

QString tr2i18n | ( | QString | message,
|  | QString | comment=0
| ) |  |  |

Qt's uic generated translation calls go through numerous indirections unnecessary in our case. So we use uic -tr tr2i18n to redirect them to our i18n API.

bool urlcmp | ( | QString | _url1,
|  | QString | _url2
| ) |  |  |

Compares URLs. They are parsed, split and compared. Two malformed URLs with the same string representation are nevertheless considered to be unequal. That means no malformed URL equals anything else.

bool urlcmp | ( | QString | _url1,
|  | QString | _url2,
|  | KUrl.EqualsOptions | options
| ) |  |  |

Compares URLs. They are parsed, split and compared. Two malformed URLs with the same string representation are nevertheless considered to be unequal. That means no malformed URL equals anything else.

Parameters:

  | _url1 | A reference URL
  | _url2 | A URL that will be compared with the reference URL
  | options | a set of KUrl.EqualsOption flags

long version | ( |  | self ) |

long versionMajor | ( |  | self ) |

long versionMinor | ( |  | self ) |

long versionRelease | ( |  | self ) |

QString versionString | ( |  | self ) |